%define		fversion	%(echo %{version} |tr r -)
%define		modulename	fracdiff
Summary:	Fractionally differenced ARIMA (p,d,q) models
Summary(pl.UTF-8):	Ułamkowo różnicowane modele ARIMA (p,d,q)
Name:		R-cran-%{modulename}
Version:	1.4r2
Release:	3
License:	GPL v2+
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	6a6977d175ad963d9675736a8f8d41f7
BuildRequires:	R >= 2.8.1
BuildRequires:	blas-devel
BuildRequires:	gcc-fortran
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Maximum likelihood estimation of the parameters of a fractionally
differenced ARIMA(p,d,q) model (Haslett and Raftery, Appl.Statistics,
1989).

%description -l pl.UTF-8
Estymacja maksymalnego prawdopodobieństwa parametrów ułamkowo
różnicowanego modelu ARIMA(p,d,q) (Haslett i Raftery, "Appl.
Statistics", 1989).

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README,ChangeLog}
%{_libdir}/R/library/%{modulename}
%changelog
* Thu May 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-fracdiff.git;a=log;h=auto/th/R-cran-fracdiff-1.4r2-3

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> 33ab6db
- rebuild with lapack 3.7
- release 3 (by relup.sh)

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> b108bc9
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> f8c70ed
- up to 1.4-2

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> b21efa7
- updated R reqs

* Wed Mar 12 2008 Elan Ruusamäe <glen@pld-linux.org> 1e26daa
- revert R-base ver bump

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6f397d6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> efb345c
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> 0b2e266
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Fri Jun 03 2005 zbyniu <zbyniu@pld-linux.org> 46fd60d
- BR: blas-devel, gcc-g77

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 4d3af9d
- License unification

* Tue Nov 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 4a06a50
- pl(?)

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> d160e96
- initital

